Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQStylePlugin Class Reference

The TQStylePlugin class provides an abstract base for custom TQStyle plugins. More...

`#include <ntqstyleplugin.h>`

List of all member functions.

## Public Members

- TQStylePlugin ()
- ~TQStylePlugin ()
- virtual TQStringList keys () const = 0
- virtual TQStyle * create ( const TQString & key ) = 0

## Detailed Description

The TQStylePlugin class provides an abstract base for custom TQStyle plugins.

The style plugin is a simple plugin interface that makes it easy to create custom styles that can be loaded dynamically into applications with a TQStyleFactory.

Writing a style plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the `Q_EXPORT_PLUGIN` macro. See the plugins documentation for an example.

See also Plugins.

## Member Function Documentation

### TQStylePlugin::TQStylePlugin ()

Constructs a style plugin. This is invoked automatically by the `Q_EXPORT_PLUGIN` macro.

### TQStylePlugin::~TQStylePlugin ()

Destroys the style plugin.

You never have to call this explicitly. TQt destroys a plugin automatically when it is no longer used.

### TQStyle * TQStylePlugin::create ( const TQString & key )`[pure virtual]`

Creates and returns a TQStyle object for the style key key. The style key is usually the class name of the required style.

See also keys().

### TQStringList TQStylePlugin::keys () const`[pure virtual]`

Returns the list of style keys this plugin supports.

These keys are usually the class names of the custom styles that are implemented in the plugin.

See also create().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.